<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref26.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.SXR.SXR.generate_index - Synopsis.process.process</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.SXR.SXR.generate_index - Synopsis.process.process</h1><div class="xref-name"><a id="Synopsis.SXR.SXR.generate_index" /><h2 >Method Synopsis.SXR.SXR.generate_index</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/SXR.html#generate_index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#33">Synopsis/SXR.py:33</a>: in class <a href="../Scopes/Synopsis/SXR/SXR.html" >Synopsis.SXR.SXR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.SXR.index" /><h2 >Method Synopsis.SXR.SXR.index</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/SXR.html#index" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#29">Synopsis/SXR.py:29</a>: in class <a href="../Scopes/Synopsis/SXR/SXR.html" >Synopsis.SXR.SXR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXR.SXR.merge" /><h2 >Method Synopsis.SXR.SXR.merge</h2><ul>
<li><a href="../Scopes/Synopsis/SXR/SXR.html#merge" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXR.py.html#48">Synopsis/SXR.py:48</a>: in class <a href="../Scopes/Synopsis/SXR/SXR.html" >Synopsis.SXR.SXR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer" /><h2 >Class Synopsis.SXRServer.SXRServer</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#58">Synopsis/SXRServer.py:58</a>: in module <a href="../Scopes/Synopsis/SXRServer.html" >Synopsis.SXRServer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SXRServer.py.html#64">Synopsis/SXRServer.py:64</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#cgi_url" >cgi_url</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#65">Synopsis/SXRServer.py:65</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#src_url" >src_url</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#66">Synopsis/SXRServer.py:66</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#src_dir" >src_dir</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#68">Synopsis/SXRServer.py:68</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#data" >data</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#69">Synopsis/SXRServer.py:69</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#index" >index</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#75">Synopsis/SXRServer.py:75</a>: Attribute <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#template" >template</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#60">Synopsis/SXRServer.py:60</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#78">Synopsis/SXRServer.py:78</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#ident_ref" >ident_ref</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#88">Synopsis/SXRServer.py:88</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#file_ref" >file_ref</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#95">Synopsis/SXRServer.py:95</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#list_refs" >list_refs</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#122">Synopsis/SXRServer.py:122</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#search_file" >search_file</a></li><li ><a href="../Source/Synopsis/SXRServer.py.html#148">Synopsis/SXRServer.py:148</a>: Method <a href="../Scopes/Synopsis/SXRServer/SXRServer.html#search_ident" >search_ident</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.__init__" /><h2 >Method Synopsis.SXRServer.SXRServer.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#60">Synopsis/SXRServer.py:60</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.file_ref" /><h2 >Method Synopsis.SXRServer.SXRServer.file_ref</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#file_ref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#87">Synopsis/SXRServer.py:87</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.ident_ref" /><h2 >Method Synopsis.SXRServer.SXRServer.ident_ref</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#ident_ref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#78">Synopsis/SXRServer.py:78</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.list_refs" /><h2 >Method Synopsis.SXRServer.SXRServer.list_refs</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#list_refs" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#94">Synopsis/SXRServer.py:94</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.search_file" /><h2 >Method Synopsis.SXRServer.SXRServer.search_file</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#search_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#121">Synopsis/SXRServer.py:121</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.SXRServer.search_ident" /><h2 >Method Synopsis.SXRServer.SXRServer.search_ident</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer/SXRServer.html#search_ident" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#147">Synopsis/SXRServer.py:147</a>: in class <a href="../Scopes/Synopsis/SXRServer/SXRServer.html" >Synopsis.SXRServer.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SXRServer.escape" /><h2 >Function Synopsis.SXRServer.escape</h2><ul>
<li><a href="../Scopes/Synopsis/SXRServer.html#escape" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SXRServer.py.html#11">Synopsis/SXRServer.py:11</a>: in module <a href="../Scopes/Synopsis/SXRServer.html" >Synopsis.SXRServer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.Include" /><h2 >Class Synopsis.SourceFile.Include</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/Include.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#8">Synopsis/SourceFile.py:8</a>: in module <a href="../Scopes/Synopsis/SourceFile.html" >Synopsis.SourceFile</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SourceFile.py.html#17">Synopsis/SourceFile.py:17</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/Include.html#target" >target</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#19">Synopsis/SourceFile.py:19</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/Include.html#name" >name</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#21">Synopsis/SourceFile.py:21</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/Include.html#is_macro" >is_macro</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#23">Synopsis/SourceFile.py:23</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/Include.html#is_next" >is_next</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#15">Synopsis/SourceFile.py:15</a>: Method <a href="../Scopes/Synopsis/SourceFile/Include.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.Include.__init__" /><h2 >Method Synopsis.SourceFile.Include.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/Include.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#15">Synopsis/SourceFile.py:15</a>: in class <a href="../Scopes/Synopsis/SourceFile/Include.html" >Synopsis.SourceFile.Include</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.MacroCall" /><h2 >Class Synopsis.SourceFile.MacroCall</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/MacroCall.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#27">Synopsis/SourceFile.py:27</a>: in module <a href="../Scopes/Synopsis/SourceFile.html" >Synopsis.SourceFile</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SourceFile.py.html#33">Synopsis/SourceFile.py:33</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#name" >name</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#35">Synopsis/SourceFile.py:35</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#start" >start</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#37">Synopsis/SourceFile.py:37</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#end" >end</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#39">Synopsis/SourceFile.py:39</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#expanded_start" >expanded_start</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#41">Synopsis/SourceFile.py:41</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#expanded_end" >expanded_end</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#31">Synopsis/SourceFile.py:31</a>: Method <a href="../Scopes/Synopsis/SourceFile/MacroCall.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.MacroCall.__init__" /><h2 >Method Synopsis.SourceFile.MacroCall.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/MacroCall.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#31">Synopsis/SourceFile.py:31</a>: in class <a href="../Scopes/Synopsis/SourceFile/MacroCall.html" >Synopsis.SourceFile.MacroCall</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.SourceFile" /><h2 >Class Synopsis.SourceFile.SourceFile</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/SourceFile.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#44">Synopsis/SourceFile.py:44</a>: in module <a href="../Scopes/Synopsis/SourceFile.html" >Synopsis.SourceFile</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SourceFile.py.html#52">Synopsis/SourceFile.py:52</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#name" >name</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#54">Synopsis/SourceFile.py:54</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#abs_name" >abs_name</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#56">Synopsis/SourceFile.py:56</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#annotations" >annotations</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#58">Synopsis/SourceFile.py:58</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#includes" >includes</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#60">Synopsis/SourceFile.py:60</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#62">Synopsis/SourceFile.py:62</a>: Attribute <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#macro_calls" >macro_calls</a></li><li ><a href="../Source/Synopsis/SourceFile.py.html#49">Synopsis/SourceFile.py:49</a>: Method <a href="../Scopes/Synopsis/SourceFile/SourceFile.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.SourceFile.SourceFile.__init__" /><h2 >Method Synopsis.SourceFile.SourceFile.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/SourceFile/SourceFile.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SourceFile.py.html#49">Synopsis/SourceFile.py:49</a>: in class <a href="../Scopes/Synopsis/SourceFile/SourceFile.html" >Synopsis.SourceFile.SourceFile</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.getoptions.CommandLineError" /><h2 >Class Synopsis.getoptions.CommandLineError</h2><ul>
<li><a href="../Scopes/Synopsis/getoptions/CommandLineError.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/getoptions.py.html#12">Synopsis/getoptions.py:12</a>: in module <a href="../Scopes/Synopsis/getoptions.html" >Synopsis.getoptions</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.getoptions.get_options" /><h2 >Function Synopsis.getoptions.get_options</h2><ul>
<li><a href="../Scopes/Synopsis/getoptions.html#get_options" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/getoptions.py.html#42">Synopsis/getoptions.py:42</a>: in module <a href="../Scopes/Synopsis/getoptions.html" >Synopsis.getoptions</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.getoptions.parse_option" /><h2 >Function Synopsis.getoptions.parse_option</h2><ul>
<li><a href="../Scopes/Synopsis/getoptions.html#parse_option" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/getoptions.py.html#14">Synopsis/getoptions.py:14</a>: in module <a href="../Scopes/Synopsis/getoptions.html" >Synopsis.getoptions</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.import_processor.import_processor" /><h2 >Constructor Synopsis.import_processor.import_processor</h2><ul>
<li><a href="../Scopes/Synopsis/import_processor.html#import_processor" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/import_processor.py.html#8">Synopsis/import_processor.py:8</a>: in module <a href="../Scopes/Synopsis/import_processor.html" >Synopsis.import_processor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.process.error" /><h2 >Function Synopsis.process.error</h2><ul>
<li><a href="../Scopes/Synopsis/process.html#error" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/process.py.html#14">Synopsis/process.py:14</a>: in module <a href="../Scopes/Synopsis/process.html" >Synopsis.process</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.process.process" /><h2 >Constructor Synopsis.process.process</h2><ul>
<li><a href="../Scopes/Synopsis/process.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/process.py.html#20">Synopsis/process.py:20</a>: in module <a href="../Scopes/Synopsis/process.html" >Synopsis.process</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
